{ ... }:
{
  ### --- Enabling DNS Over HTTPS --- ###

  # make network manager not set a default dns
  networking.networkmanager.dns = "none";

  # set dns to local nameservers
  networking.nameservers = [ "127.0.0.1" "::1" ];

  # Dnscrypt for dns over https
  services.dnscrypt-proxy2 = {
    enable = true;
    settings = {
      ipv6_servers = true;
      require_dnssec = true;
      sources.public-resolvers = {
        urls = [
          "https://raw.githubusercontent.com/DNSCrypt/dnscrypt-resolvers/master/v3/public-resolvers.md"
          "https://download.dnscrypt.info/resolvers-list/v3/public-resolvers.md"
        ];
        cache_file = "/var/lib/dnscrypt-proxy2/public-resolvers.md";
        minisign_key = "RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3";
      };
      # use mullvad dns server
      server_names = [ "mullvad-doh" ];
    };
  };
}
